Skip to main content
POST
/
v2
/
presence
/
delete
Delete Presence
curl --request POST \
  --url https://api.velt.dev/v2/presence/delete \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "userIds": [
      "<string>"
    ]
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Presence deleted successfully.",
    "data": {
      "success": true
    }
  }
}
Use this API to remove users from the presence list for a document within an organization.

Endpoint

POST https://api.velt.dev/v2/presence/delete

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

Delete a single user from presence

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "userIds": ["user-1"]
  }
}

Delete multiple users from presence

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "userIds": ["user-1", "user-2", "user-3"]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Presence deleted successfully.",
    "data": {
      "success": true
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Presence deleted successfully.",
    "data": {
      "success": true
    }
  }
}